{
  "name": "api",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "start:dev": "ts-node-dev --respawn --transpileOnly ./src/index.ts",
    "start": "NODE_ENV=development npm-run-all build:dev --parallel watch:dev start:limit watch:config",
    "start:limit": "nodemon --max-old-space-size=4096 dist/index.js",
    "start:prod": "NODE_ENV=production node dist/index.js",
    "build:prod": "parcel build --no-minify src/index.ts --target node",
    "build:dev": "parcel build src/index.ts --target node",
    "watch:dev": "parcel watch src/index.ts --target node",
    "prisma:deploy:prod": "prisma1 deploy -e .env.prod",
    "prisma:deploy:prod:force": "prisma1 deploy --force -e .env.prod",
    "prisma:deploy:dev": "NODE_ENV=dev prisma1 deploy --no-seed",
    "prisma:deploy:dev:force": "NODE_ENV=dev prisma1 deploy --force --no-seed",
    "prisma:deploy:test": "NODE_ENV=test prisma1 deploy",
    "prisma:reset": "prisma1 reset -e .env",
    "prisma:delete": "prisma1 delete -e .env",
    "prisma:seed": "NODE_ENV=dev prisma1 seed -e .env",
    "prisma:seed:prod": "prisma1 seed -e .env.prod",
    "prisma:seed:test": "NODE_ENV=test prisma1 seed -e .env",
    "test": "jest",
    "graphqlgen": "graphqlgen",
    "graphqlgen:generate": "graphqlgen && npm run build:dev",
    "generate:prod": "prisma1 generate && graphqlgen",
    "generate:dev": "NODE_ENV=dev prisma1 generate && graphqlgen",
    "merge:config": "node ./scripts/json.ts && npm run build:dev",
    "watch:config": "watch 'npm run merge:config' ./src/elasticsearch/configs",
    "graphql:schema": "ts-node src/mergeGraphql.ts "
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@elastic/elasticsearch": "^7.4.0",
    "@sendgrid/mail": "^6.4.0",
    "@types/isomorphic-fetch": "0.0.35",
    "@types/node": "^14.14.25",
    "@types/validator": "^13.1.3",
    "amqplib": "^0.5.5",
    "apollo-server": "2.7.2",
    "apollo-server-express": "2.13.1",
    "array-unique": "^0.3.2",
    "aws-sdk": "^2.580.0",
    "aws-signature-v4": "^1.4.0",
    "axios": "^0.19.2",
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.19.0",
    "cors": "^2.8.5",
    "csv-writer": "^1.5.0",
    "dotenv": "^8.2.0",
    "exceljs": "^3.7.0",
    "express": "^4.17.1",
    "faker": "^4.1.0",
    "fast-csv": "^3.4.0",
    "graphql": "^14.4.2",
    "graphql-import": "^0.7.1",
    "graphql-iso-date": "^3.6.1",
    "graphql-redis-subscriptions": "^2.1.2",
    "graphql-request": "^1.8.2",
    "graphql-tools": "^4.0.5",
    "graphql-type-json": "^0.3.0",
    "ioredis": "^4.14.0",
    "isomorphic-fetch": "^2.2.1",
    "jsonwebtoken": "8.5.1",
    "lodash": "^4.17.15",
    "merge-graphql-schemas": "^1.7.0",
    "merge2": "^1.4.1",
    "minio": "^7.0.10",
    "moment": "^2.24.0",
    "nanoid": "^3.1.20",
    "node-cron": "^2.0.3",
    "node-xlsx": "^0.15.0",
    "npm-run-all": "^4.1.5",
    "perf_hooks": "0.0.1",
    "prisma-client-lib": "^1.34.3",
    "prisma1": "^1.34.12",
    "reflect-metadata": "^0.1.13",
    "request-promise": "^4.2.5",
    "sequelize": "^6.5.0",
    "sequelize-typescript": "^2.0.0",
    "sparkpost": "^2.1.3",
    "ts-node-dev": "^1.0.0-pre.40",
    "unique-array-objects": "^2.1.0",
    "uuid": "^3.3.3",
    "winston": "^3.2.1",
    "winston3-logstash-transport": "1.0.1-c"
  },
  "devDependencies": {
    "@types/amqplib": "^0.5.13",
    "@types/bcryptjs": "^2.4.2",
    "@types/faker": "^4.1.8",
    "@types/ioredis": "^4.16.1",
    "@types/jest": "^25.2.1",
    "@types/jsonwebtoken": "8.5.0",
    "@types/lodash": "^4.14.161",
    "@types/moment": "^2.13.0",
    "@types/sparkpost": "^2.1.4",
    "get-graphql-schema": "^2.1.2",
    "graphqlgen": "^0.6.0-rc9",
    "gulp": "^4.0.2",
    "jest": "^25.5.4",
    "jest-transform-graphql": "^2.1.0",
    "nodemon": "^1.19.1",
    "parcel": "1.12.3",
    "superagent": "^5.2.2",
    "ts-jest": "^25.5.1",
    "ts-node": "^8.5.4",
    "typescript": "^3.8.3",
    "watch": "^1.0.2"
  }
}
